//！！！修改页面代码，将导致程序无法运行 ！！！
$(function () {

    // tabs    
    $(".nav-tabs a").click(function () {
        $(".tab-pane").hide();
        $(".nav-tabs li").removeClass("active");
        $(this).parent().addClass("active");
        var id = "#tab_" + $(this).attr("id").replace("a", "");

        $(id).show();
    });

    $("#PageSize").inputmask({ 'mask': "9{1,3}", greedy: false });
    $("#PerformanceCalculationRatio").inputmask({ 'mask': "9{0,9}[.9{0,2}]", greedy: false });
    $("#PrintDeliveryEmptyRowNumber").inputmask({ 'mask': "9{1,3}", greedy: false });
    $("#PrintOrderEmptyRowNumber").inputmask({ 'mask': "9{1,3}", greedy: false });    

    $("#PrintCommonMargin").inputmask({ 'mask': "9{1,2},9{1,2},9{1,2},9{1,2}", greedy: false }); 

    $("#btnSave").click(function () {

        ClearErrorMsg();

        if (checkRequired('divSettings', 'errorMessage') == false) {
            return false;
        }     

        var pageSize = parseInt($("#PageSize").val());
        var number1 = parseInt($("#PrintDeliveryEmptyRowNumber").val());
        var number2 = parseInt($("#PrintOrderEmptyRowNumber").val());

        if (pageSize <= 0 || pageSize > 200) {
            $("#PageSize").addClass("redBorder");
            SetErrorMsg("每页显示数必须介于1~200之间", "divSettings");
            return;
        }

        if (number1 <= 0 || number1 > 100) {
            $("#PrintDeliveryEmptyRowNumber").addClass("redBorder");
            SetErrorMsg("空白行数必须介于1~100之间", "divSettings");
            return;
        }

        if (number2 <= 0 || number2 > 100) {
            $("#PrintOrderEmptyRowNumber").addClass("redBorder");
            SetErrorMsg("空白行数必须介于1~100之间", "divSettings");
            return;
        }

        if (!$("#EnableStandarOrder").prop("checked") && !$("#EnableSimpleOrder").prop("checked")) {
            SetErrorMsg("客户订单标准开单和极速开单至少必须启用一个", "divSettings");
            return;
        }


        if (!$("#EnableStandarFactoryOrder").prop("checked") && !$("#EnableSimpleFactoryOrder").prop("checked")) {
            SetErrorMsg("外协订单标准开单和极速开单至少必须启用一个", "divSettings");
            return;
        }
        
        var pattern = /^\d{1,3},\d{1,3},\d{1,3},\d{1,3}$/; 
        if (!pattern.test($("#PrintCommonMargin").val())){
            $("#PrintCommonMargin").addClass("redBorder");
            SetErrorMsg("页边距必须为逗号分隔的4个数字。例如：5,5,5,5", "divSettings");
            return;
        }         

        synConfirm("确定要保存吗？", function () {
            $("#form").submit();
        });
    });
});

